<?php
/**
 * The Front Page template file.
 *
 * @package IONA
 * @since IONA 1.0.31
 */

get_header();

// If front-page is a static page
if ( get_option( 'show_on_front' ) == 'page' ) {

	// If Front Page Builder is enabled - display sections
	if ( iona_is_on( iona_get_theme_option( 'front_page_enabled' ) ) ) {

		if ( have_posts() ) {
			the_post();
		}

		$iona_sections = iona_array_get_keys_by_value( iona_get_theme_option( 'front_page_sections' ) );
		if ( is_array( $iona_sections ) ) {
			foreach ( $iona_sections as $iona_section ) {
				get_template_part( apply_filters( 'iona_filter_get_template_part', 'front-page/section', $iona_section ), $iona_section );
			}
		}

		// Else if this page is blog archive
	} elseif ( is_page_template( 'blog.php' ) ) {
		get_template_part( apply_filters( 'iona_filter_get_template_part', 'blog' ) );

		// Else - display native page content
	} else {
		get_template_part( apply_filters( 'iona_filter_get_template_part', 'page' ) );
	}

	// Else get index template to show posts
} else {
	get_template_part( apply_filters( 'iona_filter_get_template_part', 'index' ) );
}

get_footer();
