<?php
/**
 * Template for displaying instructor of single course.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/single-course/instructor.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  3.0.0
 *
 * @package IONA
 * @since IONA 1.0.62
 */

/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

$course = LP_Global::course();
?>

<div class="course-author">

	<?php do_action( 'learn-press/before-single-course-instructor' ); ?>

    <div class="author-avatar">
		<?php echo wp_kses( $course->get_instructor()->get_profile_picture(), 'iona_kses_content' ); ?>
    </div>

    <div class="author-info">
	    <h5 class="author-name">
			<?php echo wp_kses( $course->get_instructor_html(), 'iona_kses_content'  ); ?>
    	</h5>
	    <div class="author-bio">
			<?php echo wp_kses( $course->get_author()->get_description(), 'iona_kses_content'  ); ?>
	    </div>

		<?php do_action( 'iona_action_user_meta', 'single-course' ); ?>
	</div>

	<?php do_action( 'learn-press/after-single-course-instructor' ); ?>

</div>