<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'iona_elegro_payment_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'iona_elegro_payment_theme_setup9', 9 );
	function iona_elegro_payment_theme_setup9() {
		if ( iona_exists_elegro_payment() ) {
			add_action( 'wp_enqueue_scripts', 'iona_elegro_payment_frontend_scripts', 1100 );
			add_filter( 'iona_filter_merge_styles', 'iona_elegro_payment_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'iona_filter_tgmpa_required_plugins', 'iona_elegro_payment_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'iona_elegro_payment_tgmpa_required_plugins' ) ) {
	
	function iona_elegro_payment_tgmpa_required_plugins( $list = array() ) {
		if ( iona_storage_isset( 'required_plugins', 'woocommerce' ) && iona_storage_isset( 'required_plugins', 'elegro-payment' ) && iona_storage_get_array( 'required_plugins', 'elegro-payment', 'install' ) !== false ) {
			$list[] = array(
				'name'     => iona_storage_get_array( 'required_plugins', 'elegro-payment', 'title' ),
				'slug'     => 'elegro-payment',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'iona_exists_elegro_payment' ) ) {
	function iona_exists_elegro_payment() {
		return class_exists( 'WC_Elegro_Payment' );
	}
}


// Enqueue styles for frontend
if ( ! function_exists( 'iona_elegro_payment_frontend_scripts' ) ) {
	
	function iona_elegro_payment_frontend_scripts() {
		if ( iona_is_on( iona_get_theme_option( 'debug_mode' ) ) ) {
			$iona_url = iona_get_file_url( 'plugins/elegro-payment/elegro-payment.css' );
			if ( '' != $iona_url ) {
				wp_enqueue_style( 'iona-elegro-payment', $iona_url, array(), null );
			}
		}
	}
}


// Merge custom styles
if ( ! function_exists( 'iona_elegro_payment_merge_styles' ) ) {
	
	function iona_elegro_payment_merge_styles( $list ) {
		$list[] = 'plugins/elegro-payment/elegro-payment.css';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if ( iona_exists_elegro_payment() ) {
	require_once iona_get_file_dir( 'plugins/elegro-payment/elegro-payment-style.php' );
}
