<?php
/* TRX socials support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'iona_trx_socials_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'iona_trx_socials_theme_setup9', 9 );
    function iona_trx_socials_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'iona_filter_tgmpa_required_plugins', 'iona_trx_socials_tgmpa_required_plugins', 8 );
        }
    }
}

// Filter to add in the required plugins list
// Priority 8 is used to add this plugin before all other plugins
if ( ! function_exists( 'iona_trx_socials_tgmpa_required_plugins' ) ) {

    function iona_trx_socials_tgmpa_required_plugins( $list = array() ) {
        if ( iona_storage_isset( 'required_plugins', 'trx_socials' ) && iona_storage_get_array( 'required_plugins', 'trx_socials', 'install' ) !== false && iona_is_theme_activated() ) {
            $path = iona_get_plugin_source_path( 'plugins/trx_socials/trx_socials.zip' );
            if ( ! empty( $path ) || iona_get_theme_setting( 'tgmpa_upload' ) ) {
                $list[] = array(
                    'name'     => iona_storage_get_array( 'required_plugins', 'trx_socials', 'title' ),
                    'slug'     => 'trx_socials',
                    'source'   => ! empty( $path ) ? $path : 'upload://trx_socials.zip',
                    'required' => false,
                );
            }
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'iona_exists_trx_socials' ) ) {
    function iona_exists_trx_socials() {
        return defined( 'TRX_SOCIALS_PLUGIN_BASE' );
    }
}
