<?php

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'iona_woo_product_social_sharing_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'iona_woo_product_social_sharing_theme_setup9', 9 );
    function iona_woo_product_social_sharing_theme_setup9() {

        

        if ( is_admin() ) {
            add_filter( 'iona_filter_tgmpa_required_plugins', 'iona_woo_product_social_sharing_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'iona_woo_product_social_sharing_tgmpa_required_plugins' ) ) {
    
    function iona_woo_product_social_sharing_tgmpa_required_plugins( $list = array() ) {
        if ( iona_storage_isset( 'required_plugins', 'woo-product-social-sharing' ) && iona_storage_get_array( 'required_plugins', 'woo-product-social-sharing', 'install' ) !== false ) {
            $list[] = array(
                'name'     => iona_storage_get_array( 'required_plugins', 'woo-product-social-sharing', 'title' ),
                'slug'     => 'woo-product-social-sharing',
                'required' => false,
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'iona_exists_woo_product_social_sharing' ) ) {
    function iona_exists_woo_product_social_sharing() {
        return class_exists( 'Wc_ss_btns_Public' );
    }
}

// Set plugin's specific importer options
if ( !function_exists( 'iona_woo_product_social_sharing_importer_set_options' ) ) {
    if (is_admin()) add_filter( 'trx_addons_filter_importer_options',    'iona_woo_product_social_sharing_importer_set_options' );
    function iona_woo_product_social_sharing_importer_set_options($options=array()) {   
        if ( iona_exists_woo_product_social_sharing() && in_array('woo-product-social-sharing', $options['required_plugins']) ) {
            $options['additional_options'][]    = 'wc_ss_btns_%';                    // Add slugs to export options for this plugin
           
            if (is_array($options['files']) && count($options['files']) > 0) {
                foreach ($options['files'] as $k => $v) {
                    $options['files'][$k]['file_with_woo-product-social-sharing'] = str_replace('name.ext', 'woo-product-social-sharing.txt', $v['file_with_']);
                }
            }
        }
        return $options;
    }
}
