<?php

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'iona_yith_woocommerce_quick_view_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'iona_yith_woocommerce_quick_view_theme_setup9', 9 );
    function iona_yith_woocommerce_quick_view_theme_setup9() {

        

        if ( is_admin() ) {
            add_filter( 'iona_filter_tgmpa_required_plugins', 'iona_yith_woocommerce_quick_view_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'iona_yith_woocommerce_quick_view_tgmpa_required_plugins' ) ) {
    
    function iona_yith_woocommerce_quick_view_tgmpa_required_plugins( $list = array() ) {
        if ( iona_storage_isset( 'required_plugins', 'yith-woocommerce-quick-view' ) && iona_storage_get_array( 'required_plugins', 'yith-woocommerce-quick-view', 'install' ) !== false ) {
            $list[] = array(
                'name'     => iona_storage_get_array( 'required_plugins', 'yith-woocommerce-quick-view', 'title' ),
                'slug'     => 'yith-woocommerce-quick-view',
                'required' => false,
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'iona_exists_yith_woocommerce_quick_view' ) ) {
    function iona_exists_yith_woocommerce_quick_view() {
        return class_exists( 'YITH_WCQV' );
    }
}

// Set plugin's specific importer options
if ( !function_exists( 'iona_yith_woocommerce_quick_view_importer_set_options' ) ) {
    if (is_admin()) add_filter( 'trx_addons_filter_importer_options',    'iona_yith_woocommerce_quick_view_importer_set_options' );
    function iona_yith_woocommerce_quick_view_importer_set_options($options=array()) {   
        if ( iona_exists_yith_woocommerce_quick_view() && in_array('yith-woocommerce-quick-view', $options['required_plugins']) ) {
            $options['additional_options'][]    = 'yith-wcqv-%';                    // Add slugs to export options for this plugin
           
            if (is_array($options['files']) && count($options['files']) > 0) {
                foreach ($options['files'] as $k => $v) {
                    $options['files'][$k]['file_with_yith-woocommerce-quick-view'] = str_replace('name.ext', 'yith-woocommerce-quick-view.txt', $v['file_with_']);
                }
            }
        }
        return $options;
    }
}
