<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'iona_woocommerce_get_css' ) ) {
	add_filter( 'iona_filter_get_css', 'iona_woocommerce_get_css', 10, 2 );
	function iona_woocommerce_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

.woocommerce .checkout table.shop_table .product-name .variation,
.woocommerce .shop_table.order_details td.product-name .variation {
	{$fonts['p_font-family']}
}
.woocommerce ul.products li.product .price, .woocommerce-page ul.products li.product .price,
.woocommerce ul.products li.product .post_header, .woocommerce-page ul.products li.product .post_header,
.single-product div.product .woocommerce-tabs .wc-tabs li a,
.woocommerce .shop_table th,
.woocommerce span.onsale,
.woocommerce div.product p.price, .woocommerce div.product span.price,
.woocommerce div.product .summary .stock,
.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta strong,
.woocommerce-page #reviews #comments ol.commentlist li .comment-text p.meta strong,
.woocommerce table.cart td.product-name a, .woocommerce-page table.cart td.product-name a, 
.woocommerce #content table.cart td.product-name a, .woocommerce-page #content table.cart td.product-name a,
.woocommerce .checkout table.shop_table .product-name,
.woocommerce .shop_table.order_details td.product-name,
.woocommerce .order_details li strong,
.woocommerce-MyAccount-navigation,
.woocommerce-MyAccount-content .woocommerce-Address-title a {
	{$fonts['h5_font-family']}
}
.woocommerce ul.products li.product .button, .woocommerce div.product form.cart .button,
.woocommerce .woocommerce-message .button,
.woocommerce #review_form #respond p.form-submit input[type="submit"],
.woocommerce-page #review_form #respond p.form-submit input[type="submit"],
.woocommerce table.my_account_orders .order-actions .button,
.woocommerce .button, .woocommerce-page .button,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
#btn-buy, #btn-pay,
.woocommerce #respond input#submit,
.woocommerce input[type="button"], .woocommerce-page input[type="button"],
.woocommerce input[type="submit"], .woocommerce-page input[type="submit"] {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}
.woocommerce-input-wrapper,
.woocommerce table.cart td.actions .coupon .input-text,
.woocommerce #content table.cart td.actions .coupon .input-text,
.woocommerce-page table.cart td.actions .coupon .input-text,
.woocommerce-page #content table.cart td.actions .coupon .input-text {
	{$fonts['input_font-family']}
	{$fonts['input_font-size']}
	{$fonts['input_font-weight']}
	{$fonts['input_font-style']}
	{$fonts['input_line-height']}
	{$fonts['input_text-decoration']}
	{$fonts['input_text-transform']}
	{$fonts['input_letter-spacing']}
}
.woocommerce ul.products li.product .post_header .post_tags,
.woocommerce div.product .product_meta span > a, .woocommerce div.product .product_meta span > span,
.woocommerce div.product form.cart .reset_variations,
.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta time, .woocommerce-page #reviews #comments ol.commentlist li .comment-text p.meta time {
	{$fonts['info_font-family']}
}

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

.woocommerce .button, .woocommerce-page .button,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
.woocommerce #respond input#submit,
.woocommerce input[type="button"], .woocommerce-page input[type="button"],
.woocommerce input[type="submit"], .woocommerce-page input[type="submit"],
.woocommerce .woocommerce-message .button,
.woocommerce ul.products li.product .button,
.woocommerce div.product form.cart .button,
.woocommerce #review_form #respond p.form-submit input[type="submit"],
.woocommerce-page #review_form #respond p.form-submit input[type="submit"],
.woocommerce table.my_account_orders .order-actions .button,
.yith-woocompare-widget a.clear-all,
.single-product div.product .woocommerce-tabs .wc-tabs li a,
.widget.WOOCS_SELECTOR .woocommerce-currency-switcher-form .chosen-container-single .chosen-single {
	-webkit-border-radius: {$vars['rad']};
	    -ms-border-radius: {$vars['rad']};
			border-radius: {$vars['rad']};
}
.woocommerce div.product form.cart div.quantity span.q_inc, .woocommerce-page div.product form.cart div.quantity span.q_inc,
.woocommerce .shop_table.cart div.quantity span.q_inc, .woocommerce-page .shop_table.cart div.quantity span.q_inc {
	-webkit-border-radius: 0 {$vars['rad']} 0 0;
	    -ms-border-radius: 0 {$vars['rad']} 0 0;
			border-radius: 0 {$vars['rad']} 0 0;
}
.woocommerce div.product form.cart div.quantity span.q_dec, .woocommerce-page div.product form.cart div.quantity span.q_dec,
.woocommerce .shop_table.cart div.quantity span.q_dec, .woocommerce-page .shop_table.cart div.quantity span.q_dec {
	-webkit-border-radius: 0 0 {$vars['rad']} 0;
	    -ms-border-radius: 0 0 {$vars['rad']} 0;
			border-radius: 0 0 {$vars['rad']} 0;
}
.woocommerce ul.products li.product .yith_buttons_wrap,
.woocommerce ul.products li.product .yith_buttons_wrap a > .tooltip {
	-webkit-border-radius: {$vars['rad3']};
	    -ms-border-radius: {$vars['rad3']};
			border-radius: {$vars['rad3']};
}
CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

/* Page header */
.woocommerce .woocommerce-breadcrumb {
	color: {$colors['text']};
}
.woocommerce .woocommerce-breadcrumb a {
	color: {$colors['text_link']};
}
.woocommerce .woocommerce-breadcrumb a:hover {
	color: {$colors['text_hover']};
}
.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle {
	background-color: {$colors['text_link']};
}

/* List and Single product */
.single_product_layout_stretched .page_content_wrap {
	background-color: {$colors['alter_bg_color_04']};
}
.woocommerce.single_product_layout_stretched #content div.product div.summary, .woocommerce-page.single_product_layout_stretched #content div.product div.summary,
.woocommerce.single_product_layout_stretched div.product div.summary, .woocommerce-page.single_product_layout_stretched div.product div.summary {
	background-color: {$colors['bg_color']};
}
.woocommerce.single_product_layout_stretched.sidebar_show #content div.product .woocommerce-tabs, .woocommerce-page.single_product_layout_stretched.sidebar_show #content div.product .woocommerce-tabs,
.woocommerce.single_product_layout_stretched.sidebar_show div.product .woocommerce-tabs, .woocommerce-page.single_product_layout_stretched.sidebar_show div.product .woocommerce-tabs {
	background-color: {$colors['bg_color']};
}

.woocommerce .woocommerce-ordering select {
	border-color: {$colors['input_bd_color']};
}
.woocommerce .woocommerce-ordering select:hover,
.woocommerce .woocommerce-ordering select:focus {
	border-color: {$colors['input_bd_hover']};
}
.woocommerce span.onsale {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link2']};
}
.woocommerce ul.products li.product .outofstock_label {
	color: {$colors['inverse_link']};
	background-color: {$colors['inverse_dark']};
}

.woocommerce ul.products li.product .post_featured {
	border-color: {$colors['bd_color']};
	background-color: {$colors['bg_color']};
}

.woocommerce ul.products li.product .post_header a {
	color: {$colors['text_link']};
}
.woocommerce ul.products li.product .post_header a:hover,
.woocommerce ul.products li.product .post_header a:hover .woocommerce-loop-category__title {
	color: {$colors['text_hover2']};
}
.woocommerce ul.products li.product .post_header .post_tags,
.woocommerce ul.products li.product .post_header .post_tags a {
	color: {$colors['text_link']};
}
.woocommerce ul.products li.product .post_header .post_tags a:hover {
	color: {$colors['text_hover2']};
}


.woocommerce ul.products li.product .price, .woocommerce-page ul.products li.product .price,
.woocommerce ul.products li.product .price ins, .woocommerce-page ul.products li.product .price ins {
	color: {$colors['text_dark']};
}
.woocommerce ul.products li.product .price del, .woocommerce-page ul.products li.product .price del {
	color: {$colors['text']};
}

.woocommerce div.product p.price, .woocommerce div.product span.price,
.woocommerce span.amount, .woocommerce-page span.amount {
	color: {$colors['text_dark']};
}
.woocommerce.widget_shopping_cart .quantity, .woocommerce .widget_shopping_cart .quantity, .woocommerce-page.widget_shopping_cart .quantity, .woocommerce-page .widget_shopping_cart .quantity {
	color: {$colors['text_light']};
}
.woocommerce table.shop_table td span.amount {
	color: {$colors['text_dark']};
}
aside.woocommerce del,
.woocommerce del, .woocommerce del > span.amount, 
.woocommerce-page del, .woocommerce-page del > span.amount {
	color: {$colors['text_dark']} !important;
}
.woocommerce .price del:before {
	background-color: {$colors['text_dark']};
}
.woocommerce div.product form.cart div.quantity span, .woocommerce-page div.product form.cart div.quantity span,
.woocommerce .shop_table.cart div.quantity span, .woocommerce-page .shop_table.cart div.quantity span {
	color: {$colors['text_dark']};
}
.woocommerce div.product form.cart div.quantity span:hover, .woocommerce-page div.product form.cart div.quantity span:hover,
.woocommerce .shop_table.cart div.quantity span:hover, .woocommerce-page .shop_table.cart div.quantity span:hover {
	color: {$colors['bg_color']};
	background-color: {$colors['text_dark']};
}
.woocommerce div.product form.cart div.quantity input[type="number"], .woocommerce-page div.product form.cart div.quantity input[type="number"],
.woocommerce .shop_table.cart input[type="number"], .woocommerce-page .shop_table.cart div.quantity input[type="number"] {
	border-color: {$colors['text_link']};
}

.woocommerce div.product .product_meta span > a,
.woocommerce div.product .product_meta span > span {
	color: {$colors['text_link']};
}
.woocommerce div.product .product_meta a:hover {
	color: {$colors['text_hover2']};
}
.woocommerce div.product .stock {
	color: {$colors['text_dark']};
}
.woocommerce div.product div.images .flex-viewport,
.woocommerce div.product div.images img {
	border-color: {$colors['bd_color']};
}
.woocommerce div.product div.images a:hover img {
	border-color: {$colors['text_link']};
}

.woocommerce div.product .woocommerce-tabs ul.tabs li, .woocommerce #content div.product .woocommerce-tabs ul.tabs li, .woocommerce-page div.product .woocommerce-tabs ul.tabs li, .woocommerce-page #content div.product .woocommerce-tabs ul.tabs li,
.woocommerce div.product .woocommerce-tabs ul.tabs li.active {
	background: {$colors['bg_color']};
}

.single_product_layout_stretched div.product .trx-stretch-width {
	background-color: {$colors['bg_color']};	
}
.single_product_layout_stretched div.product .woocommerce-tabs,
.woocommerce div.product .woocommerce-tabs .panel, .woocommerce-page div.product .woocommerce-tabs .panel,
.woocommerce #content div.product .woocommerce-tabs .panel, .woocommerce-page #content div.product .woocommerce-tabs .panel {
	border-color: {$colors['bd_color']};
}
.single-product div.product .woocommerce-tabs .wc-tabs li a {
	color: {$colors['text_dark']};
}
.single-product div.product .woocommerce-tabs .wc-tabs li.active a {
	color: {$colors['text_dark']};
	background-color: {$colors['alter_bg_color']};
}
.single-product div.product .woocommerce-tabs .wc-tabs li:not(.active) a:hover {
	color: {$colors['text_dark']};
	background-color: {$colors['alter_bg_color']};
}
.woocommerce div.product .woocommerce-tabs ul.tabs li.active a:after, 
.woocommerce #content div.product .woocommerce-tabs ul.tabs li.active a:after, 
.woocommerce-page div.product .woocommerce-tabs ul.tabs li.active a:after, 
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li.active a:after,
.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover:after, 
.woocommerce #content div.product .woocommerce-tabs ul.tabs li a:hover:after, 
.woocommerce-page div.product .woocommerce-tabs ul.tabs li a:hover:after, 
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li a:hover:after {
	background-color:  {$colors['alter_bg_color']};
}
.woocommerce div.product .woocommerce-tabs ul.tabs li a:after, 
.woocommerce #content div.product .woocommerce-tabs ul.tabs li a:after, 
.woocommerce-page div.product .woocommerce-tabs ul.tabs li a:after, 
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li a:after {
	background-color:  {$colors['alter_text']};
}


.single_product_layout_stretched div.product .woocommerce-tabs .wc-tabs li a {
	color: {$colors['text_dark']};
}
.single_product_layout_stretched div.product .woocommerce-tabs .wc-tabs li.active a {
	color: {$colors['text_link']};
}
.single_product_layout_stretched div.product .woocommerce-tabs .wc-tabs li:not(.active) a:hover {
	color: {$colors['text_hover']};
}

.woocommerce #review_form #respond #reply-title {
	color: {$colors['text_dark']};
}


.single-product div.product .woocommerce-tabs .panel {
	color: {$colors['text']};
}
.single_product_layout_stretched div.product .woocommerce-tabs .panel {
	border-color: {$colors['bd_color']};
}


/* Related Products */


.single-product ul.products li.product .post_data .price span.amount {
	color: {$colors['text_dark']};
}
.single-product ul.products li.product .post_data .post_header .post_tags,
.single-product ul.products li.product .post_data .post_header .post_tags a,
.single-product ul.products li.product .post_data a {
	color: {$colors['text_dark']};
}
.single-product ul.products li.product .post_data .post_header .post_tags a:hover {
	color: {$colors['text_hover2']};
}
.single-product ul.products li.product .post_data .button {
	color: {$colors['text_dark']};
	background-color: {$colors['alter_bg_color']};
}
.single-product ul.products li.product .post_data .button:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link2']};
}


/* Rating */
.star-rating span,
.star-rating:before {
	color: {$colors['text_dark']};
}
#review_form #respond p.form-submit input[type="submit"] {
	color: {$colors['text_dark']};
	background-color: {$colors['bg_color_0']};
}
#review_form #respond p.form-submit input[type="submit"]:hover,
#review_form #respond p.form-submit input[type="submit"]:focus {
	color: {$colors['inverse_dark']};
	background-color: {$colors['bg_color_0']};
}

/* Shop mode selector */
.iona_shop_mode_buttons a {
	color: {$colors['bg_color']};
	background-color: {$colors['text_dark']};
}
.iona_shop_mode_buttons a:hover {
	color: {$colors['text_hover2']};
	background-color: {$colors['bg_color']};
}
.shop_mode_thumbs .iona_shop_mode_buttons a.woocommerce_thumbs,
.shop_mode_list .iona_shop_mode_buttons a.woocommerce_list {
	color: {$colors['text_dark']};
	background-color: {$colors['alter_bg_color']};
}
.shop_mode_thumbs .iona_shop_mode_buttons a.woocommerce_thumbs:hover,
.shop_mode_list .iona_shop_mode_buttons a.woocommerce_list:hover {
	color: {$colors['text_dark']};
}


/* Messages */
.woocommerce .woocommerce-message,
.woocommerce .woocommerce-info,
.woocommerce .wc-block-components-notice-banner.is-success,
.woocommerce .wc-block-components-notice-banner.is-info {
	background-color: {$colors['alter_bg_color']};
	border-top-color: {$colors['text_link2']};
}
.woocommerce .woocommerce-error,
.woocommerce .wc-block-components-notice-banner.is-error,
.woocommerce .wc-block-components-notice-banner.is-warning {
	background-color: {$colors['alter_bg_color']};
	border-top-color: {$colors['text_link2']};
}
.woocommerce .woocommerce-message:before,
.woocommerce .woocommerce-info:before {
	color: {$colors['text_link2']};
}
.wc-block-components-notice-banner.is-success > svg {
	background-color:{$colors['text_link2']};
}
.woocommerce .woocommerce-error:before {
	color: {$colors['text_link2']};
}
.woocommerce-wishlist .woocommerce-info .button,
.woocommerce-wishlist .woocommerce-info .button:hover,
.woocommerce-wishlist .woocommerce-message .button,
.woocommerce-wishlist .woocommerce-message .button:hover {
	background-color: {$colors['bg_color_0']}!important;
}



/* Cart */

.woocommerce table.shop_table td {
	border-color: {$colors['bd_color']} !important;
}
.woocommerce table.shop_table th {
	border-color: {$colors['bd_color']} !important;
}
.woocommerce table.shop_table tfoot th, .woocommerce-page table.shop_table tfoot th {
	color: {$colors['text_dark']};
	border-color: transparent !important;
	background-color: transparent;
}

.woocommerce .cart-collaterals .cart_totals table select,
.woocommerce-page .cart-collaterals .cart_totals table select {
	color: {$colors['input_text']};
	background-color: {$colors['input_bg_color']};
}
.woocommerce .cart-collaterals .cart_totals table select:focus, .woocommerce-page .cart-collaterals .cart_totals table select:focus {
	color: {$colors['input_dark']};
	background-color: {$colors['input_bg_hover']};
}
.woocommerce .cart-collaterals .shipping_calculator .shipping-calculator-button:after,
.woocommerce-page .cart-collaterals .shipping_calculator .shipping-calculator-button:after {
	color: {$colors['text_dark']};
}
.woocommerce table.shop_table .cart-subtotal .amount, .woocommerce-page table.shop_table .cart-subtotal .amount,
.woocommerce table.shop_table .shipping td, .woocommerce-page table.shop_table .shipping td {
	color: {$colors['text_dark']};
}
.woocommerce table.cart td+td a, .woocommerce #content table.cart td+td a, .woocommerce-page table.cart td+td a, .woocommerce-page #content table.cart td+td a,
.woocommerce table.cart td+td span, .woocommerce #content table.cart td+td span, .woocommerce-page table.cart td+td span, .woocommerce-page #content table.cart td+td span {
	color: {$colors['text_dark']};
}
.woocommerce table.cart td+td a:hover, .woocommerce #content table.cart td+td a:hover, .woocommerce-page table.cart td+td a:hover, .woocommerce-page #content table.cart td+td a:hover {
	color: {$colors['text_hover']};
}
#add_payment_method table.cart td.actions .coupon .input-text, .woocommerce-cart table.cart td.actions .coupon .input-text, .woocommerce-checkout table.cart td.actions .coupon .input-text {
	border-color: {$colors['input_bd_color']};
}


/* Checkout */
#add_payment_method #payment ul.payment_methods, .woocommerce-cart #payment ul.payment_methods, .woocommerce-checkout #payment ul.payment_methods {
	border-color:{$colors['bd_color']};
}
#add_payment_method #payment div.payment_box, .woocommerce-cart #payment div.payment_box, .woocommerce-checkout #payment div.payment_box {
	color:{$colors['text']};
	background-color:{$colors['alter_bg_color']};
}
#add_payment_method #payment div.payment_box:before, .woocommerce-cart #payment div.payment_box:before, .woocommerce-checkout #payment div.payment_box:before {
	border-color: transparent transparent {$colors['alter_bg_color']};
}
.woocommerce .order_details li strong, .woocommerce-page .order_details li strong {
	color: {$colors['text_dark']};
}
.woocommerce .order_details.woocommerce-thankyou-order-details {
	color:{$colors['alter_text']};
	background-color:{$colors['alter_bg_color']};
}
.woocommerce .order_details.woocommerce-thankyou-order-details strong {
	color:{$colors['alter_dark']};
}

/* My Account */
.woocommerce-account .woocommerce-MyAccount-navigation,
.woocommerce-MyAccount-navigation ul li,
.woocommerce-MyAccount-navigation li+li {
	border-color: {$colors['bd_color']};
}
.woocommerce-MyAccount-navigation li.is-active a {
	color: {$colors['text_link']};
}
.woocommerce-MyAccount-content .my_account_orders .button {
	color: {$colors['text_link']};
}
.woocommerce-MyAccount-content .my_account_orders .button:hover {
	color: {$colors['text_hover']};
}

/* Widgets */
.widget_product_search form:after {
	color: {$colors['input_light']};
}
.widget_product_search form:hover:after {
	color: {$colors['input_dark']};
}
.widget_shopping_cart .total {
	color: {$colors['text_dark']};
	border-color: {$colors['bd_color']};
}
.woocommerce ul.cart_list li dl,
.woocommerce-page ul.cart_list li dl,
.woocommerce ul.product_list_widget li dl,
.woocommerce-page ul.product_list_widget li dl {
	border-color: {$colors['bd_color']};
}
.widget_layered_nav ul li.chosen a {
	color: {$colors['text_dark']};
}
.widget_price_filter .price_slider_wrapper .ui-widget-content { 
	background: {$colors['text_light']};
}
.widget_price_filter .price_label span {
	color: {$colors['text_dark']};
}


/* WooCommerce Search widget */
.trx_addons_woocommerce_search_type_inline .trx_addons_woocommerce_search_form_field input[type="text"],
.trx_addons_woocommerce_search_type_inline .trx_addons_woocommerce_search_form_field .trx_addons_woocommerce_search_form_field_label {
	border-color: {$colors['text_link']};
	color: {$colors['text_link']};
}
.trx_addons_woocommerce_search_type_inline .trx_addons_woocommerce_search_form_field input[type="text"]:focus,
.trx_addons_woocommerce_search_type_inline .trx_addons_woocommerce_search_form_field .trx_addons_woocommerce_search_form_field_label:hover {
	border-color: {$colors['text_hover']};
	color: {$colors['text_hover']};
}
.trx_addons_woocommerce_search_type_inline .trx_addons_woocommerce_search_form_field_list {
	color: {$colors['text']};
	border-color: {$colors['bd_color']};
	background-color: {$colors['alter_bg_color']};
}
.trx_addons_woocommerce_search_type_inline .trx_addons_woocommerce_search_form_field_list li:hover {
	color: {$colors['text_dark']};
	background-color: {$colors['alter_bg_hover']};
}



/* Third-party plugins
---------------------------------------------- */
.yith_magnifier_zoom_wrap .yith_magnifier_zoom_magnifier {
	border-color: {$colors['bd_color']};
}

.yith-woocompare-widget a.clear-all {
	color: {$colors['inverse_link']};
	background-color: {$colors['alter_link']};
}
.yith-woocompare-widget a.clear-all:hover {
	color: {$colors['inverse_hover']};
	background-color: {$colors['alter_hover']};
}
.yith-woocompare-widget ul.products-list li .remove { 
	color: {$colors['text_link']} !important;	
}
.yith-woocompare-widget ul.products-list li .remove:hover { 
	color: {$colors['text_hover']} !important;	
}

.widget.WOOCS_SELECTOR .woocommerce-currency-switcher-form .chosen-container-single .chosen-single {
	color: {$colors['input_text']};
	background: {$colors['input_bg_color']};
}
.widget.WOOCS_SELECTOR .woocommerce-currency-switcher-form .chosen-container-single .chosen-single:hover {
	color: {$colors['input_dark']};
	background: {$colors['input_bg_hover']};
}
.widget.WOOCS_SELECTOR .woocommerce-currency-switcher-form .chosen-container .chosen-drop {
	color: {$colors['input_dark']};
	background: {$colors['input_bg_hover']};
	border-color: {$colors['input_bd_hover']};
}
.widget.WOOCS_SELECTOR .woocommerce-currency-switcher-form .chosen-container .chosen-results li {
	color: {$colors['input_dark']};
}
.widget.WOOCS_SELECTOR .woocommerce-currency-switcher-form .chosen-container .chosen-results li:hover,
.widget.WOOCS_SELECTOR .woocommerce-currency-switcher-form .chosen-container .chosen-results li.highlighted,
.widget.WOOCS_SELECTOR .woocommerce-currency-switcher-form .chosen-container .chosen-results li.result-selected {
	color: {$colors['alter_link']} !important;
}


/* YITH Hover Buttons */
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .button,
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .compare,
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .yith-wcwl-add-to-wishlist a {
	color: {$colors['inverse_dark']};
	background-color: {$colors['bg_color_0']};
}
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .compare:hover,
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .button:hover,
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .yith-wcwl-add-to-wishlist a:hover {
	color: {$colors['text_hover']};
}
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .compare:after,
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .button:after,
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .yith-wcwl-add-to-wishlist a:after,
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .added_to_cart,
.sc_blogger_news_yith_icon .post_info_mc .added_to_cart  {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link2']};
}
.sc_blogger_news_yith_icon .post_info_mc .added_to_cart:hover,
.woocommerce .product .hover_yith .yith_hover_buttons_wrapper .added_to_cart:hover  {
	color: {$colors['inverse_link']};
	background-color: {$colors['inverse_dark']};
}


.woocommerce.single-product .yith-wcwl-add-to-wishlist a, 
.woocommerce.single-product .compare, .woocommerce.single-product .yith-wcwl-wishlistaddedbrowse a,
.woocommerce.single-product .woocommerce-variation-add-to-cart .button,
.woocommerce.single-product div.product form.cart .button,
#btn-buy, #btn-pay {
	color: {$colors['text_dark']};
	background-color: {$colors['alter_bg_color']};
}

.woocommerce.single-product .yith-wcwl-add-to-wishlist a:hover, 
.woocommerce.single-product .compare:hover, 
.woocommerce.single-product .yith-wcwl-wishlistaddedbrowse a:hover,
.woocommerce.single-product .woocommerce-variation-add-to-cart .button:hover,
.woocommerce.single-product div.product form.cart .button:hover,
#btn-buy:hover, #btn-pay:hover {
	color: {$colors['inverse_dark']};
	background-color: {$colors['extra_bg_hover']};
}

.woocommerce ul.products li.product .post_data .yith-wcwl-add-to-wishlist a, 
.woocommerce ul.products li.product .post_data .compare, 
.woocommerce ul.products li.product .post_data .yith-wcqv-button, 
.woocommerce ul.products li.product .post_data .yith-wcwl-wishlistaddedbrowse a, 
.woocommerce.single-product .related .post_data .yith-wcwl-add-to-wishlist a, 
.woocommerce.single-product .related .post_data .compare, 
.woocommerce.single-product .related .post_data .yith-wcwl-wishlistaddedbrowse a,
.woocommerce.single-product .related .post_data .woocommerce-variation-add-to-cart .button,
.woocommerce.single-product .related .post_data div.product form.cart .button,
.woocommerce a.added_to_cart {
	color: {$colors['text_dark']};
	background-color: {$colors['alter_bg_color']};
}
.woocommerce ul.products li.product .post_data .yith-wcwl-add-to-wishlist a:hover, 
.woocommerce ul.products li.product .post_data .compare:hover, 
.woocommerce ul.products li.product .post_data .yith-wcqv-button:hover, 
.woocommerce ul.products li.product .post_data .yith-wcwl-wishlistaddedbrowse a:hover,
.woocommerce.single-product .related .post_data .yith-wcwl-add-to-wishlist a:hover, 
.woocommerce.single-product .related .post_data .compare:hover, 
.woocommerce.single-product .related .post_data .yith-wcwl-wishlistaddedbrowse a:hover,
.woocommerce.single-product .related .post_data .woocommerce-variation-add-to-cart .button:hover,
.woocommerce.single-product .related .post_data div.product form.cart .button:hover,
.woocommerce a.added_to_cart:hover, .woocommerce-page a.added_to_cart:hover,
.woocommerce ul.products li.product .post_data .yith-wcwl-add-to-wishlist a:focus, 
.woocommerce ul.products li.product .post_data .compare:focus, 
.woocommerce ul.products li.product .post_data .yith-wcqv-button:focus, 
.woocommerce ul.products li.product .post_data .yith-wcwl-wishlistaddedbrowse a:focus,
.woocommerce.single-product .related .post_data .yith-wcwl-add-to-wishlist a:focus, 
.woocommerce.single-product .related .post_data .compare:focus, 
.woocommerce.single-product .related .post_data .yith-wcwl-wishlistaddedbrowse a:focus,
.woocommerce.single-product .related .post_data .woocommerce-variation-add-to-cart .button:focus,
.woocommerce.single-product .related .post_data div.product form.cart .button:focus,
.woocommerce a.added_to_cart:focus {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link2']};
}

.woocommerce #reviews #comments ol.commentlist li .meta {
	color: {$colors['text']};
}
.woocommerce a.remove {
	color: {$colors['text_dark']}!important;
}
.woocommerce a.remove:hover {
	color: {$colors['text_link2']}!important;
}

.woocommerce-error, .woocommerce-info, .woocommerce-message {
	color: {$colors['text']};
}

/* Woocommerce Widgets */
.wp-widget-woocommerce_product_search .search_button {
	background-color: {$colors['bg_color_0']}!important;
}
.wp-widget-woocommerce_product_search .search_button:before {
	color: {$colors['text_dark']};
}
.wp-widget-woocommerce_product_search .search_button:hover:before {
	color: {$colors['text_hover']};
}
.wp-widget-woocommerce_product_search .search_field{
	border-color: {$colors['input_bd_hover']};
}


/* Wishlist Page */
.woocommerce-wishlist .wishlist_table .button {
	color: {$colors['inverse_link']}!important;
	background-color: {$colors['inverse_dark']}!important;
}
.woocommerce-wishlist .wishlist_table .button:hover,
.woocommerce-wishlist .wishlist_table .button:focus {
	color: {$colors['inverse_link']}!important;
	background-color: {$colors['text_hover']}!important;
}
.yith-wcwl-share a {
	color: {$colors['text']}!important;
	background-color: {$colors['bg_color_0']}!important;
}
.yith-wcwl-share a:hover {
	color: {$colors['text_hover']}!important;
	background-color: {$colors['bg_color_0']}!important;
}
.woocommerce-wishlist .wishlist_table.mobile .additional-info-wrapper .product-remove a:hover {
	color: {$colors['text_link2']};
}
.woocommerce-wishlist table.wishlist_table .product-name > a:not(.yith-wcqv-button):hover {
	color: {$colors['text_hover2']};
}
.woocommerce-wishlist .copy-trigger:hover {
	color: {$colors['text_hover']};
}

/* Quick view popup */
#yith-quick-view-modal .yith-wcqv-main {
	background-color: {$colors['bg_color']};
}
#yith-quick-view-content.woocommerce.single-product div.product form.cart .button {
	color: {$colors['text_dark']};
	background-color: {$colors['alter_bg_color']};
}
#yith-quick-view-content.woocommerce.single-product div.product form.cart .button:hover,
#yith-quick-view-content.woocommerce.single-product div.product form.cart .button:focus {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link2']};
}
.woocommerce div.product div.images .woocommerce-product-gallery__trigger:hover {
	background-color: {$colors['alter_bg_color']};
}

.woocommerce div.product div.images .woocommerce-product-gallery__trigger:hover:before {
	border-color: {$colors['text_hover']};
} 
.woocommerce div.product div.images .woocommerce-product-gallery__trigger:hover:after {
	background-color: {$colors['text_hover']};
}

.woocommerce.widget_shopping_cart .woocommerce-mini-cart__buttons .button, 
body.woocommerce .yith-woocompare-widget .clear-all, 
body.woocommerce .yith-woocompare-widget .compare, 
body.woocommerce .widget_shopping_cart .woocommerce-mini-cart__buttons a, 
body.woocommerce .widget_price_filter .price_slider_amount .button, 
.woocommerce .woocommerce-message .button, .woocommerce .woocommerce-info .button,
.woocommerce.widget_shopping_cart .woocommerce-mini-cart__buttons .button:hover, 
body.woocommerce .yith-woocompare-widget .clear-all:hover, 
body.woocommerce .yith-woocompare-widget .compare:hover, 
body.woocommerce .widget_shopping_cart .woocommerce-mini-cart__buttons a:hover, 
body.woocommerce .widget_price_filter .price_slider_amount .button:hover, 
.woocommerce .woocommerce-message .button, .woocommerce .woocommerce-info .button:hover,
.woocommerce.widget_shopping_cart .woocommerce-mini-cart__buttons .button:focus, 
body.woocommerce .yith-woocompare-widget .clear-all:focus, 
body.woocommerce .yith-woocompare-widget .compare:focus, 
body.woocommerce .widget_shopping_cart .woocommerce-mini-cart__buttons a:focus, 
body.woocommerce .widget_price_filter .price_slider_amount .button:focus, 
.woocommerce .woocommerce-message .button, .woocommerce .woocommerce-info .button:focus   {
	background-color: {$colors['bg_color_0']};
}

CSS;
		}

		return $css;
	}
}

