<?php
/**
 * Skin Demo importer
 *
 * @package IONA
 * @since IONA 1.76.0
 */


// Theme storage
//-------------------------------------------------------------------------

iona_storage_set( 'theme_demo_url', '//iona.themerex.net' );


//------------------------------------------------------------------------
// One-click import support
//------------------------------------------------------------------------

// Set theme specific importer options
if ( ! function_exists( 'iona_skin_importer_set_options' ) ) {
	add_filter( 'trx_addons_filter_importer_options', 'iona_skin_importer_set_options', 9 );
	function iona_skin_importer_set_options( $options = array() ) {
		if ( is_array( $options ) ) {
			$options['files']['default']['title']       = esc_html__( 'Iona Demo', 'iona' );
			$options['files']['default']['domain_dev']  = esc_url( iona_get_protocol() . '://iona.themerex.net' );    // Developers domain
			$options['files']['default']['domain_demo'] = iona_storage_get( 'theme_demo_url' );                            // Demo-site domain
			if ( substr( $options['files']['default']['domain_demo'], 0, 2 ) === '//' ) {
				$options['files']['default']['domain_demo'] = iona_get_protocol() . ':' . $options['files']['default']['domain_demo'];
			}
		}
		return $options;
	}
}


//------------------------------------------------------------------------
// OCDI support
//------------------------------------------------------------------------

// Set theme specific OCDI options
if ( ! function_exists( 'iona_skin_ocdi_set_options' ) ) {
	add_filter( 'trx_addons_filter_ocdi_options', 'iona_skin_ocdi_set_options', 9 );
	function iona_skin_ocdi_set_options( $options = array() ) {
		if ( is_array( $options ) ) {
			// Demo-site domain
			$options['files']['ocdi']['title']       = esc_html__( 'Iona OCDI Demo', 'iona' );
			$options['files']['ocdi']['domain_demo'] = iona_storage_get( 'theme_demo_url' );
			if ( substr( $options['files']['ocdi']['domain_demo'], 0, 2 ) === '//' ) {
				$options['files']['ocdi']['domain_demo'] = iona_get_protocol() . ':' . $options['files']['ocdi']['domain_demo'];
			}
			// If theme need more demo - just copy 'default' and change required parameters
		}
		return $options;
	}
}
