<?php
/**
 * Required plugins
 *
 * @package IONA
 * @since IONA 1.76.0
 */

// THEME-SUPPORTED PLUGINS
// If plugin not need - remove its settings from next array
//----------------------------------------------------------
$iona_theme_required_plugins_groups = array(
	'core'          => esc_html__( 'Core', 'iona' ),
	'page_builders' => esc_html__( 'Page Builders', 'iona' ),
	'ecommerce'     => esc_html__( 'E-Commerce & Donations', 'iona' ),
	'socials'       => esc_html__( 'Socials and Communities', 'iona' ),
	'events'        => esc_html__( 'Events and Appointments', 'iona' ),
	'content'       => esc_html__( 'Content', 'iona' ),
	'other'         => esc_html__( 'Other', 'iona' ),
);
$iona_theme_required_plugins        = array(
	'trx_addons'                 => array(
		'title'       => esc_html__( 'ThemeREX Addons', 'iona' ),
		'description' => esc_html__( "Will allow you to install recommended plugins, demo content, and improve the theme's functionality overall with multiple theme options", 'iona' ),
		'required'    => true,
		'logo'        => 'trx_addons.png',
		'group'       => $iona_theme_required_plugins_groups['core'],
	),
	'elementor'                  => array(
		'title'       => esc_html__( 'Elementor', 'iona' ),
		'description' => esc_html__( "Is a beautiful PageBuilder, even the free version of which allows you to create great pages using a variety of modules.", 'iona' ),
		'required'    => false,
		'logo'        => 'elementor.png',
		'group'       => $iona_theme_required_plugins_groups['page_builders'],
	),
	'gutenberg'                  => array(
		'title'       => esc_html__( 'Gutenberg', 'iona' ),
		'description' => esc_html__( "It's a posts editor coming in place of the classic TinyMCE. Can be installed and used in parallel with Elementor", 'iona' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'gutenberg.png',
		'group'       => $iona_theme_required_plugins_groups['page_builders'],
	),
	'js_composer'                => array(
		'title'       => esc_html__( 'WPBakery PageBuilder', 'iona' ),
		'description' => esc_html__( "Popular PageBuilder which allows you to create excellent pages", 'iona' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'js_composer.jpg',
		'group'       => $iona_theme_required_plugins_groups['page_builders'],
	),
	'vc-extensions-bundle'       => array(
		'title'       => esc_html__( 'WPBakery PageBuilder extensions bundle', 'iona' ),
		'description' => esc_html__( "Many shortcodes for the WPBakery PageBuilder", 'iona' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'vc-extensions-bundle.png',
		'group'       => $iona_theme_required_plugins_groups['page_builders'],
	),
	'woocommerce'                => array(
		'title'       => esc_html__( 'WooCommerce', 'iona' ),
		'description' => esc_html__( "Connect the store to your website and start selling now", 'iona' ),
		'required'    => false,
		'logo'        => 'woocommerce.png',
		'group'       => $iona_theme_required_plugins_groups['ecommerce'],
	),
	'yith-woocommerce-compare'                => array(
		'title'       => esc_html__( 'YITH WooCommerce Compare', 'iona' ),
		'description' => esc_html__( "The YITH WooCommerce Compare plugin allow you to compare in a simple and efficient way products on sale in your shop and analyze their main features in a single table", 'iona' ),
		'required'    => false,
		'logo'        => 'yith-woocommerce-compare.jpg',
		'group'       => $iona_theme_required_plugins_groups['ecommerce'],
	),
	'yith-woocommerce-quick-view'                => array(
		'title'       => esc_html__( 'YITH WooCommerce Quick View', 'iona' ),
		'description' => esc_html__( "The YITH WooCommerce Quick View plugin allows your customers to have a quick look about products.", 'iona' ),
		'required'    => false,
		'logo'        => 'yith-woocommerce-quick-view.jpg',
		'group'       => $iona_theme_required_plugins_groups['ecommerce'],
	),
	'yith-woocommerce-wishlist'                => array(
		'title'       => esc_html__( 'YITH WooCommerce Wishlist', 'iona' ),
		'description' => esc_html__( "YITH WooCommerce Wishlist gives your users the possibility to create, fill, manage and share their wishlists allowing you to analyze their interests and needs to improve your marketing strategies. ", 'iona' ),
		'required'    => false,
		'logo'        => 'yith-woocommerce-wishlist.jpg',
		'group'       => $iona_theme_required_plugins_groups['ecommerce'],
	),
	'elegro-payment'             => array(
		'title'       => esc_html__( 'Elegro Crypto Payment', 'iona' ),
		'description' => esc_html__( "Extends WooCommerce Payment Gateways with an elegro Crypto Payment", 'iona' ),
		'required'    => false,
		'logo'        => 'elegro-payment.png',
		'group'       => $iona_theme_required_plugins_groups['ecommerce'],
	),	
	'instagram-feed'             => array(
		'title'       => esc_html__( 'Instagram Feed', 'iona' ),
		'description' => esc_html__( "Displays the latest photos from your profile on Instagram", 'iona' ),
		'required'    => false,
		'logo'        => 'instagram-feed.png',
		'group'       => $iona_theme_required_plugins_groups['socials'],
	),
	'mailchimp-for-wp'           => array(
		'title'       => esc_html__( 'MailChimp for WP', 'iona' ),
		'description' => esc_html__( "Allows visitors to subscribe to newsletters", 'iona' ),
		'required'    => false,
		'logo'        => 'mailchimp-for-wp.png',
		'group'       => $iona_theme_required_plugins_groups['socials'],
	),
	'woo-product-social-sharing'           => array(
		'title'       => esc_html__( 'ShareIt! Social Buttons', 'iona' ),
		'description' => esc_html__( "ShareIt! Social Buttons is a powerful, extandable social sharing plugin that helps you integrate all the top social networks. Beautifully.", 'iona' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'woo-product-social-sharing.png',
		'group'       => $iona_theme_required_plugins_groups['socials'],
	),
	'contact-form-7'             => array(
		'title'       => esc_html__( 'Contact Form 7', 'iona' ),
		'description' => esc_html__( "CF7 allows you to create an unlimited number of contact forms", 'iona' ),
		'required'    => false,
		'logo'        => 'contact-form-7.png',
		'group'       => $iona_theme_required_plugins_groups['content'],
	),
	'wp-gdpr-compliance'         => array(
		'title'       => esc_html__( 'Cookie Information', 'iona' ),
		'description' => esc_html__( "Allow visitors to decide for themselves what personal data they want to store on your site", 'iona' ),
		'required'    => false,
		'install'     => false,
		'logo'        => 'wp-gdpr-compliance.png',
		'group'       => $iona_theme_required_plugins_groups['other'],
	),
	'trx_updater'                => array(
		'title'       => esc_html__( 'ThemeREX Updater', 'iona' ),
		'description' => esc_html__( "Update theme and theme-specific plugins from developer's upgrade server.", 'iona' ),
		'required'    => false,
		'logo'        => 'trx_updater.png',
		'group'       => $iona_theme_required_plugins_groups['other'],
	),
	'trx_socials'                  => array(
		'title'       => esc_html__( 'ThemeREX Socials', 'iona' ),
		'description' => esc_html__( "Add popup to your site.", 'iona' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'trx_socials.png',
		'group'       => $iona_theme_required_plugins_groups['other'],
	),
	'trx_popup'                  => array(
		'title'       => esc_html__( 'ThemeREX Popup', 'iona' ),
		'description' => esc_html__( "Add popup to your site.", 'iona' ),
		'required'    => false,
		'logo'        => 'trx_popup.png',
		'group'       => $iona_theme_required_plugins_groups['other'],
	)
);

if ( IONA_THEME_FREE ) {
	unset( $iona_theme_required_plugins['js_composer'] );
	unset( $iona_theme_required_plugins['vc-extensions-bundle'] );
	unset( $iona_theme_required_plugins['easy-digital-downloads'] );
	unset( $iona_theme_required_plugins['give'] );
	unset( $iona_theme_required_plugins['bbpress'] );
	unset( $iona_theme_required_plugins['booked'] );
	unset( $iona_theme_required_plugins['content_timeline'] );
	unset( $iona_theme_required_plugins['mp-timetable'] );
	unset( $iona_theme_required_plugins['learnpress'] );
	unset( $iona_theme_required_plugins['the-events-calendar'] );
	unset( $iona_theme_required_plugins['calculated-fields-form'] );
	unset( $iona_theme_required_plugins['essential-grid'] );
	unset( $iona_theme_required_plugins['revslider'] );
	unset( $iona_theme_required_plugins['ubermenu'] );
	unset( $iona_theme_required_plugins['sitepress-multilingual-cms'] );
	unset( $iona_theme_required_plugins['envato-market'] );
	unset( $iona_theme_required_plugins['trx_updater'] );
	unset( $iona_theme_required_plugins['trx_popup'] );
}

// Add plugins list to the global storage
iona_storage_set( 'required_plugins', $iona_theme_required_plugins );
