<?php
/**
 * The template to display Admin notices
 *
 * @package IONA
 * @since IONA 1.0.1
 */

$iona_theme_slug = get_option( 'template' );
$iona_theme_obj  = wp_get_theme( $iona_theme_slug );
?>
<div class="iona_admin_notice iona_welcome_notice update-nag">
	<?php
	// Theme image
	$iona_theme_img = iona_get_file_url( 'screenshot.jpg' );
	if ( '' != $iona_theme_img ) {
		?>
		<div class="iona_notice_image"><img src="<?php echo esc_url( $iona_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'iona' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="iona_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				__( 'Welcome to %1$s v.%2$s', 'iona' ),
				$iona_theme_obj->get( 'Name' ) . ( IONA_THEME_FREE ? ' ' . __( 'Free', 'iona' ) : '' ),
				$iona_theme_obj->get( 'Version' )
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="iona_notice_text">
		<p class="iona_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $iona_theme_obj->description ) );
			?>
		</p>
		<p class="iona_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'iona' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="iona_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=iona_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			echo esc_html__( 'Install plugin "ThemeREX Addons"', 'iona' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" data-notice="admin" class="iona_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="iona_hide_notice_text"><?php esc_html_e( 'Dismiss', 'iona' ); ?></span></a>
	</div>
</div>
