<?php
/**
 * The template to display the Author bio
 *
 * @package IONA
 * @since IONA 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope="itemscope" itemtype="<?php echo esc_attr( iona_get_protocol( true ) ); ?>//schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php
		$iona_mult = iona_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 138 * $iona_mult );
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
		<h5 class="author_title" itemprop="name"><span class="fn">About <?php the_author(); ?></span></h5>
		<div class="author_bio" itemprop="description">
			<?php echo wp_kses( wpautop( get_the_author_meta( 'description' ) ), 'iona_kses_content'  ); ?>
			<div class="author_links">
				<a class="author_link sc_button sc_button_simple sc_button_size_normal" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
													<?php
													// Translators: Add the author's name in the <span>
													printf( esc_html__( 'All posts by %s', 'iona' ), '<span class="author_name">' . esc_html( get_the_author_meta('first_name') ) . '</span>' );
													?>
				</a>
				<?php do_action( 'iona_action_user_meta', 'author-bio' ); ?>
			</div>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
