<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package IONA
 * @since IONA 1.0.50
 */

$iona_template_args = get_query_var( 'iona_template_args' );
if ( is_array( $iona_template_args ) ) {
	$iona_columns    = empty( $iona_template_args['columns'] ) ? 2 : max( 1, $iona_template_args['columns'] );
	$iona_blog_style = array( $iona_template_args['type'], $iona_columns );
} else {
	$iona_blog_style = explode( '_', iona_get_theme_option( 'blog_style' ) );
	$iona_columns    = empty( $iona_blog_style[1] ) ? 2 : max( 1, $iona_blog_style[1] );
}
$iona_blog_id       = iona_get_custom_blog_id( join( '_', $iona_blog_style ) );
$iona_blog_style[0] = str_replace( 'blog-custom-', '', $iona_blog_style[0] );
$iona_expanded      = ! iona_sidebar_present() && iona_get_theme_option( 'expand_content' ) == 'expand';
$iona_components    = ! empty( $iona_template_args['meta_parts'] )
							? ( is_array( $iona_template_args['meta_parts'] )
								? join( ',', $iona_template_args['meta_parts'] )
								: $iona_template_args['meta_parts']
								)
							: iona_array_get_keys_by_value( iona_get_theme_option( 'meta_parts' ) );
$iona_post_format   = get_post_format();
$iona_post_format   = empty( $iona_post_format ) ? 'standard' : str_replace( 'post-format-', '', $iona_post_format );

$iona_blog_meta     = iona_get_custom_layout_meta( $iona_blog_id );
$iona_custom_style  = ! empty( $iona_blog_meta['scripts_required'] ) ? $iona_blog_meta['scripts_required'] : 'none';

if ( ! empty( $iona_template_args['slider'] ) || $iona_columns > 1 || ! iona_is_off( $iona_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $iona_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( iona_is_off( $iona_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $iona_custom_style ) ) . "-1_{$iona_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $iona_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $iona_columns )
					. ' post_layout_' . esc_attr( $iona_blog_style[0] )
					. ' post_layout_' . esc_attr( $iona_blog_style[0] ) . '_' . esc_attr( $iona_columns )
					. ( ! iona_is_off( $iona_custom_style )
						? ' post_layout_' . esc_attr( $iona_custom_style )
							. ' post_layout_' . esc_attr( $iona_custom_style ) . '_' . esc_attr( $iona_columns )
						: ''
						)
		);
	iona_add_blog_animation( $iona_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'iona_action_show_layout', $iona_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $iona_template_args['slider'] ) || $iona_columns > 1 || ! iona_is_off( $iona_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
