<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package IONA
 * @since IONA 1.0
 */

$iona_template_args = get_query_var( 'iona_template_args' );
if ( is_array( $iona_template_args ) ) {
	$iona_columns    = empty( $iona_template_args['columns'] ) ? 2 : max( 1, $iona_template_args['columns'] );
	$iona_blog_style = array( $iona_template_args['type'], $iona_columns );
} else {
	$iona_blog_style = explode( '_', iona_get_theme_option( 'blog_style' ) );
	$iona_columns    = empty( $iona_blog_style[1] ) ? 2 : max( 1, $iona_blog_style[1] );
}

$iona_post_format = get_post_format();
$iona_post_format = empty( $iona_post_format ) ? 'standard' : str_replace( 'post-format-', '', $iona_post_format );

?><div class="
<?php
if ( ! empty( $iona_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( iona_is_blog_style_use_masonry( $iona_blog_style[0] ) ? 'masonry_item masonry_item' : 'column' ) . '-1_' . esc_attr( $iona_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $iona_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $iona_columns )
		. ( 'portfolio' != $iona_blog_style[0] ? ' ' . esc_attr( $iona_blog_style[0] )  . '_' . esc_attr( $iona_columns ) : '' )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	iona_add_blog_animation( $iona_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$iona_hover   = ! empty( $iona_template_args['hover'] ) && ! iona_is_inherit( $iona_template_args['hover'] )
								? $iona_template_args['hover']
								: iona_get_theme_option( 'image_hover' );

	if ( 'dots' == $iona_hover ) {
		$iona_post_link = empty( $iona_template_args['no_links'] )
								? ( ! empty( $iona_template_args['link'] )
									? $iona_template_args['link']
									: get_permalink()
									)
								: '';
		$iona_target    = ! empty( $iona_post_link ) && false === strpos( $iona_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$iona_components = ! empty( $iona_template_args['meta_parts'] )
							? ( is_array( $iona_template_args['meta_parts'] )
								? $iona_template_args['meta_parts']
								: explode( ',', $iona_template_args['meta_parts'] )
								)
							: iona_array_get_keys_by_value( iona_get_theme_option( 'meta_parts' ) );

	// Featured image
	iona_show_post_featured(
		array(
			'hover'         => $iona_hover,
			'no_links'      => ! empty( $iona_template_args['no_links'] ),
			'thumb_size'    => iona_get_thumb_size(
									iona_is_blog_style_use_masonry( $iona_blog_style[0] )
										? (	strpos( iona_get_theme_option( 'body_style' ), 'full' ) !== false || $iona_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( iona_get_theme_option( 'body_style' ), 'full' ) !== false || $iona_columns < 3
											? 'big'
											: 'med'
											)
								),
			'show_no_image' => true,
			'meta_parts'    => $iona_components,
			'class'         => 'dots' == $iona_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $iona_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $iona_post_link )
												? '<a href="' . esc_url( $iona_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $iona_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!