<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package IONA
 * @since IONA 1.0.10
 */

// Footer sidebar
$iona_footer_name    = iona_get_theme_option( 'footer_widgets' );
$iona_footer_present = ! iona_is_off( $iona_footer_name ) && is_active_sidebar( $iona_footer_name );
if ( $iona_footer_present ) {
	iona_storage_set( 'current_sidebar', 'footer' );
	$iona_footer_wide = iona_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $iona_footer_name ) ) {
		dynamic_sidebar( $iona_footer_name );
	}
	$iona_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $iona_out ) ) {
		$iona_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $iona_out );
		$iona_need_columns = true;   //or check: strpos($iona_out, 'columns_wrap')===false;
		if ( $iona_need_columns ) {
			$iona_columns = max( 0, (int) iona_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $iona_columns ) {
				$iona_columns = min( 4, max( 1, iona_tags_count( $iona_out, 'aside' ) ) );
			}
			if ( $iona_columns > 1 ) {
				$iona_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $iona_columns ) . ' widget', $iona_out );
			} else {
				$iona_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $iona_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'iona_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $iona_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $iona_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'iona_action_before_sidebar', 'footer' );
				iona_show_layout( $iona_out );
				do_action( 'iona_action_after_sidebar', 'footer' );
				if ( $iona_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $iona_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'iona_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
