<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package IONA
 * @since IONA 1.0.06
 */

$iona_header_css   = '';
$iona_header_image = get_header_image();
$iona_header_video = iona_get_header_video();
if ( ! empty( $iona_header_image ) && iona_trx_addons_featured_image_override( is_singular() || iona_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$iona_header_image = iona_get_current_mode_image( $iona_header_image );
}

$iona_header_id = iona_get_custom_header_id();
$iona_header_meta = get_post_meta( $iona_header_id, 'trx_addons_options', true );
if ( ! empty( $iona_header_meta['margin'] ) ) {
	iona_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( iona_prepare_css_value( $iona_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $iona_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $iona_header_id ) ) ); ?>
				<?php
				echo ! empty( $iona_header_image ) || ! empty( $iona_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $iona_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $iona_header_image ) {
					echo ' ' . esc_attr( iona_add_inline_css_class( 'background-image: url(' . esc_url( $iona_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( iona_is_on( iona_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight iona-full-height';
				}
				$iona_header_scheme = iona_get_theme_option( 'header_scheme' );
				if ( ! empty( $iona_header_scheme ) && ! iona_is_inherit( $iona_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $iona_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $iona_header_video ) ) {
		get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'iona_action_show_layout', $iona_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
