<?php
/**
 * The template to display default site header
 *
 * @package IONA
 * @since IONA 1.0
 */

$iona_header_css   = '';
$iona_header_image = get_header_image();
$iona_header_video = iona_get_header_video();
if ( ! empty( $iona_header_image ) && iona_trx_addons_featured_image_override( is_singular() || iona_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$iona_header_image = iona_get_current_mode_image( $iona_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $iona_header_image ) || ! empty( $iona_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $iona_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $iona_header_image ) {
		echo ' ' . esc_attr( iona_add_inline_css_class( 'background-image: url(' . esc_url( $iona_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( iona_is_on( iona_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight iona-full-height';
	}
	$iona_header_scheme = iona_get_theme_option( 'header_scheme' );
	if ( ! empty( $iona_header_scheme ) && ! iona_is_inherit( $iona_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $iona_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $iona_header_video ) ) {
		get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( iona_is_on( iona_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() || ( iona_exists_woocommerce() && is_product () ) ) {
		get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
