<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package IONA
 * @since IONA 1.0
 */

$iona_args = get_query_var( 'iona_logo_args' );

// Site logo
$iona_logo_type   = isset( $iona_args['type'] ) ? $iona_args['type'] : '';
$iona_logo_image  = iona_get_logo_image( $iona_logo_type );
$iona_logo_text   = iona_is_on( iona_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$iona_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $iona_logo_image['logo'] ) || ! empty( $iona_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $iona_logo_image['logo'] ) ) {
			if ( empty( $iona_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $iona_logo_image['logo'] ) && (int)$iona_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$iona_attr = iona_getimagesize( $iona_logo_image['logo'] );
				echo '<img src="' . esc_url( $iona_logo_image['logo'] ) . '"'
						. ( ! empty( $iona_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $iona_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $iona_logo_text ) . '"'
						. ( ! empty( $iona_attr[3] ) ? ' ' . wp_kses_data( $iona_attr[3] ) : '' )
						. '>';
			}
		} else {
			iona_show_layout( iona_prepare_macros( $iona_logo_text ), '<span class="logo_text">', '</span>' );
			iona_show_layout( iona_prepare_macros( $iona_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
