<?php
/**
 * The template to show mobile menu
 *
 * @package IONA
 * @since IONA 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr( iona_get_theme_option( 'menu_mobile_fullscreen' ) > 0 ? 'fullscreen' : 'narrow' ); ?>">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close theme_button_close" tabindex="0"><span class="theme_button_close_icon"></span></a>
		<?php

		// Logo
		set_query_var( 'iona_logo_args', array( 'type' => 'mobile' ) );
		get_template_part( apply_filters( 'iona_filter_get_template_part', 'templates/header-logo' ) );
		set_query_var( 'iona_logo_args', array() );

		// Mobile menu
		$iona_menu_mobile = iona_get_nav_menu( 'menu_mobile' );
		if ( empty( $iona_menu_mobile ) ) {
			$iona_menu_mobile = apply_filters( 'iona_filter_get_mobile_menu', '' );
			if ( empty( $iona_menu_mobile ) ) {
				$iona_menu_mobile = iona_get_nav_menu( 'menu_main' );
				if ( empty( $iona_menu_mobile ) ) {
					$iona_menu_mobile = iona_get_nav_menu();
				}
			}
		}
		if ( ! empty( $iona_menu_mobile ) ) {
			$iona_menu_mobile = str_replace(
				array( 'menu_main',   'id="menu-',        'sc_layouts_menu_nav', 'sc_layouts_menu ', 'sc_layouts_hide_on_mobile', 'hide_on_mobile' ),
				array( 'menu_mobile', 'id="menu_mobile-', '',                    ' ',                '',                          '' ),
				$iona_menu_mobile
			);
			if ( strpos( $iona_menu_mobile, '<nav ' ) === false ) {
				$iona_menu_mobile = sprintf( '<nav class="menu_mobile_nav_area" itemscope="itemscope" itemtype="%1$s//schema.org/SiteNavigationElement">%2$s</nav>', esc_attr( iona_get_protocol( true ) ), $iona_menu_mobile );
			}
			iona_show_layout( apply_filters( 'iona_filter_menu_mobile_layout', $iona_menu_mobile ) );
		}

		// Search field
		

		// Social icons
		/*iona_show_layout( iona_get_socials_links(), '<div class="socials_mobile">', '</div>' );*/
		?>
	</div>
</div>
