<?php
/**
 * The template to display the widgets area in the header
 *
 * @package IONA
 * @since IONA 1.0
 */

// Header sidebar
$iona_header_name    = iona_get_theme_option( 'header_widgets' );
$iona_header_present = ! iona_is_off( $iona_header_name ) && is_active_sidebar( $iona_header_name );
if ( $iona_header_present ) {
	iona_storage_set( 'current_sidebar', 'header' );
	$iona_header_wide = iona_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $iona_header_name ) ) {
		dynamic_sidebar( $iona_header_name );
	}
	$iona_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $iona_widgets_output ) ) {
		$iona_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $iona_widgets_output );
		$iona_need_columns   = strpos( $iona_widgets_output, 'columns_wrap' ) === false;
		if ( $iona_need_columns ) {
			$iona_columns = max( 0, (int) iona_get_theme_option( 'header_columns' ) );
			if ( 0 == $iona_columns ) {
				$iona_columns = min( 6, max( 1, iona_tags_count( $iona_widgets_output, 'aside' ) ) );
			}
			if ( $iona_columns > 1 ) {
				$iona_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $iona_columns ) . ' widget', $iona_widgets_output );
			} else {
				$iona_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $iona_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'iona_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $iona_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $iona_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'iona_action_before_sidebar', 'header' );
				iona_show_layout( $iona_widgets_output );
				do_action( 'iona_action_after_sidebar', 'header' );
				if ( $iona_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $iona_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'iona_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
