<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package IONA
 * @since IONA 1.0
 */

$iona_template_args = get_query_var( 'iona_template_args' );
$iona_link        = get_permalink();
$iona_post_format = get_post_format();
$iona_post_format = empty( $iona_post_format ) ? 'standard' : str_replace( 'post-format-', '', $iona_post_format );
$iona_components = ! empty( $iona_template_args['meta_parts'] )
							? ( is_array( $iona_template_args['meta_parts'] )
								? $iona_template_args['meta_parts']
								: array_map( 'trim', explode( ',', $iona_template_args['meta_parts'] ) )
								)
							: iona_array_get_keys_by_value( iona_get_theme_option( 'meta_parts' ) );	

$iona_hover      = ! empty( $iona_template_args['hover'] ) && ! iona_is_inherit( $iona_template_args['hover'] )
						? $iona_template_args['hover']
						: iona_get_theme_option( 'image_hover' );

$iona_show_meta  = count( $iona_components ) > 0 && ! in_array( $iona_hover, array( 'border', 'pull', 'slide', 'fade', 'info' ) );

$image = '';
if ( has_post_thumbnail() ) {
	$image = iona_get_attachment_url( get_post_thumbnail_id( get_the_ID() ));
}

?><div id="post-<?php the_ID(); ?>" <?php  post_class( 'related_item post_format_' . esc_attr( $iona_post_format ) ); ?> data-post-id="<?php the_ID(); ?>">
	<?php
	// Categories
	if ( (( has_post_thumbnail() ||  ( in_array( $iona_post_format, array( 'gallery' )))) &&  ( !in_array( $iona_post_format, array( 'audio' )) && iona_exists_trx_addons() ) ) && ! wp_is_mobile() ) {
		if ( apply_filters( 'iona_filter_show_blog_categories', $iona_show_meta && in_array( 'categories', $iona_components ), array( 'categories' ), 'excerpt' ) ) {
			do_action( 'iona_action_before_post_category' );
			?>
			<div class="post_category">
				<?php
				iona_show_post_meta( apply_filters(
													'iona_filter_post_meta_args',
													array(
														'components' => 'categories',
														'seo'        => false,
														'echo'       => true,
														),
													'hover_' . $iona_hover, 1
													)
									);
				?>
			</div>
			<?php
			$iona_components = iona_array_delete_by_value( $iona_components, 'categories' );
			do_action( 'iona_action_after_post_category' );
		}
	}
	if ( in_array( $iona_post_format, array( 'audio' ))) {
		// Put audio over the thumb
		$post_content = iona_get_post_content();
		$audio = iona_get_post_audio( $post_content, false );
		if ( empty( $audio ) ) {
			$audio = iona_get_post_iframe( $post_content, false );
		}
		// Apply filters to get audio, title and author
		$post_content_parsed = iona_filter_post_content( $post_content );
		if ( empty( $audio ) ) {
			// Only get audio from the content if a playlist isn't present.
			if ( false === strpos( $post_content_parsed, 'wp-playlist-script' ) ) {
				$audios = get_media_embedded_in_content( $post_content_parsed, array( 'audio' ) );
				if ( ! empty( $audios ) && is_array( $audios ) ) {
					$audio = iona_array_get_first( $audios, false );
				}
			}
		}
		if ( ! empty( $audio ) ) {
			?>
			<div class="post_audio
				<?php
				if ( strpos( $audio, 'soundcloud' ) !== false ) {
					echo ' with_iframe';
				}
				?>
			">
				<?php
				// Get author and audio title
				$media_author = '';
				$media_title  = '';
				if ( strpos( $audio, '<audio' ) !== false ) {
					$media_author = iona_get_tag_attrib( $audio, '<audio>', 'data-author' );
					$media_title  = iona_get_tag_attrib( $audio, '<audio>', 'data-caption' );
				}
				if ( empty( $media_author) &&  empty( $media_title) ) {
					$media = urldecode( iona_get_tag_attrib( $post_content, '[trx_widget_audio]', 'media' ) );
					if ( ! empty( $media ) ) {
						// Shortcode found in the content
					 	if ( '[{' == substr( $media, 0, 2 ) ) {
							$media = json_decode( $media, true );
							if ( is_array( $media ) ) {
								if ( !empty( $media[0]['author'] ) ) {
									$media_author = $media[0]['author'];
								}
								if ( !empty( $media[0]['caption'] ) ) {
									$media_title = $media[0]['caption'];
								}
							}
						}
					} else {
						// Parse tag params
						$media_author = strip_tags( iona_get_tag( $post_content_parsed, '<h6 class="audio_author">', '</h6>' ) );
						$media_title  = strip_tags( iona_get_tag( $post_content_parsed, '<h5 class="audio_caption">', '</h5>' ) );

					}
				}
				if ( ! empty( $media_author) || ! empty( $media_title) ) {
					?>
					<div class="audio_info">
						<?php
						if ( ! empty( $media_author ) ) {
							?>
							<div class="post_audio_author"><?php iona_show_layout( $media_author ); ?></div>
							<?php
						}
						if ( ! empty( $media_title ) ) {
							?>
							<h5 class="post_audio_title"><?php iona_show_layout( $media_title ); ?></h5>
							<?php
						}
						?>
					</div>
					<?php
				}
				// Display audio
				iona_show_layout( $audio, '<div class="audio_wrap">', '</div>' );
				?>
			</div>
			<?php
		}
	}
	if ( in_array( $iona_post_format, array( 'gallery' ))) {
		iona_show_post_featured(
			array(
				'thumb_size'    => apply_filters( 'iona_filter_related_thumb_size', iona_get_thumb_size( (int) iona_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'big' ) ),
			)
		);
	} elseif ( has_post_thumbnail() && !in_array( $iona_post_format, array( 'audio' )) ) {
		?>
		<div class="related_item_image" <?php if (!empty($image)) echo ' style="background-image: url('.esc_url($image).');"'; ?>>
		</div>
	<?php
	}	
	
	?>

	
	<div class="post_header entry-header">		
		<h4 class="post_title entry-title"><a href="<?php echo esc_url( $iona_link ); ?>"><?php
			if ( '' == get_the_title() ) {				
				if( in_array( $iona_post_format, array( 'gallery' ) ) ){
					esc_html_e( 'Gallery post', 'iona' );
				} elseif(in_array( $iona_post_format, array( 'audio' ) )) {
					esc_html_e( 'Audio post', 'iona' );
				} elseif( in_array( $iona_post_format, array( 'quote' ) ) ){
					esc_html_e( 'Quote post', 'iona' );
				} else {
					esc_html_e( 'No title', 'iona' );
				}
			} else {
				the_title();
			}
		?></a></h4>
		<?php
		if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
				
			// Post meta on the single post
				// Post meta
			if ( apply_filters( 'iona_filter_show_blog_meta', $iona_show_meta, $iona_components, 'excerpt' ) ) {
				if ( count( $iona_components ) > 0 ) {
					do_action( 'iona_action_before_post_meta' );
					iona_show_post_meta(
						apply_filters(
							'iona_filter_post_meta_args', array(
								'components' => join( ',', $iona_components ),
								'seo'        => false,
								'echo'       => true,
							), 'excerpt', 1
						)
					);
					do_action( 'iona_action_after_post_meta' );
				}
			}			
		}
		
		if (($excerpt = get_the_excerpt()) != '') {			
			?><div class="related_excerpt"><?php echo iona_excerpt( $excerpt, 22 ) ?></div><?php
		}
		?>		
		<a href="<?php echo esc_url( $iona_link ); ?>" class="sc_button sc_button_simple sc_button_size_normal"><?php echo esc_html__( 'Read More', 'iona' ) ?></a>
	</div>
</div>
