<?php
/**
 * The "Style 3" template to display the post header of the single post or attachment:
 * featured image and title placed in the post header
 *
 * @package IONA
 * @since IONA 1.75.0
 */

if ( is_singular( 'post' ) || is_singular( 'attachment' ) ) {
	ob_start();
	?>
	<div class="post_header_wrap post_header_wrap_in_header post_header_wrap_style_<?php
		echo esc_attr( iona_get_theme_option( 'single_style' ) );
		if ( has_post_thumbnail() || str_replace( 'post-format-', '', get_post_format() ) == 'image' ) {
			echo ' with_featured_image';
		}
	?>">
		<?php
		// Featured image
		iona_show_post_featured_image( array(
			'thumb_bg' => true,
		) );
		// Post title and meta
		iona_show_post_title_and_meta( array(
											'content_wrap'  => true,
											'share_type'    => 'list',
											'author_avatar' => false,
											'show_labels'   => true,
											'add_spaces'    => true,
											)
										);
		?>
	</div>
	<?php
	$iona_post_header = ob_get_contents();
	ob_end_clean();
	if ( strpos( $iona_post_header, 'post_featured' ) !== false
		|| strpos( $iona_post_header, 'post_title' ) !== false
		|| strpos( $iona_post_header, 'post_meta' ) !== false
	) {
		do_action( 'iona_action_before_post_header' );
		iona_show_layout( $iona_post_header );
		do_action( 'iona_action_after_post_header' );
	}
}
