<?php
/**
 * The template to display Admin notices
 *
 * @package IONA
 * @since IONA 1.0.64
 */

$iona_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$iona_skins_args = get_query_var( 'iona_skins_notice_args' );

?>
<div class="iona_admin_notice iona_skins_notice update-nag">
	<?php
	// Theme image
	$iona_theme_img = iona_get_file_url( 'screenshot.jpg' );
	if ( '' != $iona_theme_img ) {
		?>
		<div class="iona_notice_image"><img src="<?php echo esc_url( $iona_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'iona' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="iona_notice_title">
		<?php esc_html_e( 'New skins available', 'iona' ); ?>
	</h3>
	<?php

	// Description
	$iona_total      = $iona_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$iona_skins_msg  = $iona_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $iona_total, 'iona' ), $iona_total ) . '</strong>'
							: '';
	$iona_total      = $iona_skins_args['free'];
	$iona_skins_msg .= $iona_total > 0
							? ( ! empty( $iona_skins_msg ) ? ' ' . esc_html__( 'and', 'iona' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $iona_total, 'iona' ), $iona_total ) . '</strong>'
							: '';
	$iona_total      = $iona_skins_args['pay'];
	$iona_skins_msg .= $iona_skins_args['pay'] > 0
							? ( ! empty( $iona_skins_msg ) ? ' ' . esc_html__( 'and', 'iona' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $iona_total, 'iona' ), $iona_total ) . '</strong>'
							: '';
	?>
	<div class="iona_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'iona' ), $iona_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="iona_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $iona_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'iona' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" data-notice="skins" class="iona_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="iona_hide_notice_text"><?php esc_html_e( 'Dismiss', 'iona' ); ?></span></a>
	</div>
</div>
